Vsan Diagnostics System Query IO Diagnostics Instances

Vsan Diagnostics System Query IO Diagnostics Instances
Query the completed diagnostics instances by the given query spec.

Query the completed diagnostics instances by the given query spec.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanDiagnosticsSystem/{moId}/QueryIODiagnosticsInstances
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanDiagnosticsSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryIODiagnosticsInstancesRequestType of type(s) application/json
Required

Show optional properties

{
    "querySpec": {}
}
{
    "querySpec": {
        "_typeName": "string",
        "targets": [
            {
                "_typeName": "string",
                "type": "string",
                "entityId": "string",
                "objUuids": [
                    "string"
                ]
            }
        ],
        "startTime": "string",
        "endTime": "string"
    },
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
querySpec
Required

The spec for instance query.

cluster
Optional

The cluster where the diagnostics is performed, ignored when calling against ESXi hosts.

Required privileges: System.Read

Authentication
This operation uses the following authentication methods.
Responses
200

The list of the completed diagnostics instances.

[
    {
        "_typeName": "string",
        "name": "string",
        "state": "string",
        "events": [
            {
                "_typeName": "string",
                "eventType": "string",
                "eventTime": "string",
                "eventTargets": [
                    {
                        "_typeName": "string",
                        "type": "string",
                        "entityId": "string",
                        "objUuids": [
                            "string"
                        ]
                    }
                ]
            }
        ],
        "targets": [
            {
                "_typeName": "string",
                "type": "string",
                "entityId": "string",
                "objUuids": [
                    "string"
                ]
            }
        ],
        "startTime": "string",
        "endTime": "string",
        "recurrenceName": "string"
    }
]
array of object
Optional

This data object describes the diagnostics instance including the name and the diagnostics target and the running time range.

This structure may be used only with operations rendered under /vsan.


500

InvalidArgument: if the query spec is not valid.

VsanFault: if the caller doesn't have the required privilege or if the vSAN performance service is disabled.

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"querySpec":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanDiagnosticsSystem/{moId}/QueryIODiagnosticsInstances